# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    app_name = control.name

    if isfile("X2GoClient_latest_mswin32-setup.exe"):
        remove_file("X2GoClient_latest_mswin32-setup.exe")

    wget("http://code.x2go.org/releases/X2GoClient_latest_mswin32-setup.exe", "X2GoClient_latest_mswin32-setup.exe", proxies=proxies)
    version = get_file_properties("X2GoClient_latest_mswin32-setup.exe")["ProductVersion"].split("-", 1)[0]

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        package_updated = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.set_software_version(version)
    control.save_control_to_wapt()

    # Deleting outdated binaries
    remove_outdated_binaries(version)

    # Validating or not update-package-sources
    return package_updated
